Name:          pear-MDB2
Version:       2.5.0b5
Release:       2mamba
Summary:       A PHP database abstraction layer
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pear.php.net/package/MDB2
Source:        http://download.pear.php.net/package/MDB2-%{version}.tgz
License:       BSD
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      php

%description
A PHP database abstraction layer.

%prep
%setup -q -c %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
mkdir -p %{buildroot}%{_libdir}/php
cp -a MDB2-%{version}/* %{buildroot}%{_libdir}/php/
mv %{buildroot}%{_libdir}/php/{tests,docs} %{buildroot}%{_libdir}/php/MDB2
rm -f %{buildroot}%{_libdir}/php/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%attr(0644,root,root) %{_libdir}/php/MDB2.php
%dir %{_libdir}/php/MDB2
%attr(0644,root,root) %{_libdir}/php/MDB2/*.php
%dir %{_libdir}/php/MDB2/Driver
%dir %{_libdir}/php/MDB2/Driver/Datatype
%attr(0644,root,root) %{_libdir}/php/MDB2/Driver/Datatype/Common.php
%dir %{_libdir}/php/MDB2/Driver/Function
%attr(0644,root,root) %{_libdir}/php/MDB2/Driver/Function/Common.php
%dir %{_libdir}/php/MDB2/Driver/Manager
%attr(0644,root,root) %{_libdir}/php/MDB2/Driver/Manager/Common.php
%dir %{_libdir}/php/MDB2/Driver/Native
%attr(0644,root,root) %{_libdir}/php/MDB2/Driver/Native/Common.php
%dir %{_libdir}/php/MDB2/Driver/Reverse
%attr(0644,root,root) %{_libdir}/php/MDB2/Driver/Reverse/Common.php
%{_libdir}/php/MDB2/docs/*
%{_libdir}/php/MDB2/tests/*
%doc MDB2-%{version}/LICENSE

%changelog
* Wed Oct 30 2024 Automatic Build System <autodist@openmamba.org> 2.5.0b5-2mamba
- automatic rebuild by autodist

* Wed Feb 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0b5-1mamba
- package created by silvan using the webbuild interface
